import React, { Component, PropTypes } from 'react'
import Formsy from 'formsy-react';
import MuditaFormMixins from './mixins/MuditaFormMixins'

const MuditaForm = React.createClass({

  mixins: [MuditaFormMixins],

  propTypes: {
    children: React.PropTypes.node
  },

  childContextTypes: {
    layout: React.PropTypes.string,
    labelClassName: React.PropTypes.string
  },

  getChildContext() {
    return {layout: this.props.layout || 'horizontal',
    labelClassName: this.props.labelClassName};
  },

  render: function() {
    return (
      <Formsy.Form
        {...this.props}
      >
        {this.props.children}
      </Formsy.Form>
    );
  }

});

module.exports = MuditaForm;
