import React, { Component, PropTypes } from 'react'
import Formsy from 'formsy-react'
import MuditaFormMixins from './mixins/MuditaFormMixins'

import { FormGroup, FormControl } from 'react-bootstrap';

var propUtilities = require('./propUtilities')

const Textarea = React.createClass({

  mixins: [Formsy.Mixin, MuditaFormMixins],

  changeValue: function(event) {
    this.setValue(event.currentTarget.value);
  },
  renderElement: function() {
    return (
      <FormControl
        ref={(c) => this.element = c}
        componentClass="textarea"
        {...propUtilities.cleanProps(this.props)}
        value={this.getValue()}
        onChange={this.changeValue}
        disabled={this.isFormDisabled() || this.props.disabled}
      />
    );
  },

  render: function() {
    let Layout = this.getLayout();
    return <Layout.Textarea element={this} />;
  },

});

module.exports = Textarea;
